# MIT License

# Copyright 2021, DoiT International

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


import charset_normalizer

from doitintl import docops


def decode_bytes(bytes, filename=None):
    charset_data = charset_normalizer.from_bytes(bytes).best()
    return get_str(charset_data, filename)


def decode_file(filename):
    filename = str(filename)
    charset_data = charset_normalizer.from_path(filename).best()
    return get_str(charset_data)


def get_str(charset_data, filename=None):
    err_msg = "Unable to decode character data"
    if not charset_data:
        if filename:
            err_msg += f": {filename}"
        raise docops.EncodingError(err_msg)
    text = str(charset_data)
    return text
